Subject: Re: [PATCH 1/4] run-command: add pipe_output to run_processes_parallel

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 27 Sep 2022 11:05:16 +0200

On Mon, Sep 26 2022, Calvin Wan wrote:

>>  * Why are we configuring an API behaviour via a global variable in
>>    21st century?
>
> I was mimicking how "ungroup" worked, but now that Avar mentions
> that pattern was for a quick regression fix, I can fix it to pass it in as a
> parameter.

I don't know if you started this work or not, but I had a WIP rebase of
those on-list patches lying around in my tree, which I'm rebasing on
"master" currently.

Some of it's a bit tricky with the in-tree activity since then, I'll
send them in when they're ready, maybe you already did your own rebasing
of them, or maybe it helps & you'd like to base a re-submission on top
of them.